function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==100 then
		delete_tree_leaf("Root","comics");
		setstatemenu(); 	
	return;end;
	
	
	if sender==15 then
		if obj_id==21 then
			if frame1==2 then
				ScaleTileObject(20,1.2,1,2);
				frame1=3;	
			return;end;		
		return;end;
		
		if obj_id==4 then
		    speciale_action(2,24);
		    unvisible_object(-32);
		return;end;
		
		if obj_id==-30 then
			--BlockCursor(false);
			block=false;
			--speciale_action(2,14);
			setcolor(2,1,1,1,1); 
			ScaleObject(2,0.9,1);
			setcolor(1100,1,1,1,1,1); 
			set_text(1100,"251");
			frame=frame+2;			
		return;end;
		
		if obj_id==-31 then
			--BlockCursor(false);
			block=false;
		--	set_text(1100,"254");		
			set_text(1100,"255");
			ScaleObject(2,1,0.9);
			setcolor(3,1,1,1,1); 			
			ScaleObject(3,0.9,1);
			setcolor(2,0.6,0.6,0.6,1);
			speciale_action(2,15);		
		return;end;		
		
		if obj_id==-32 then
		--	BlockCursor(false);
			block=false;
			--speciale_action(2,14);
				speciale_action(2,10,true);
				speciale_action(2,7,true);

				-- ScaleObject(7,0.9,1);
				-- ScaleObject(6,1,0.9);
				-- setcolor(6,0.6,0.6,0.6,1);
			    -- setcolor(7,1,1,1,1); 			
			ScaleObject(6,0.9,1);
			setcolor(6,1,1,1,1); 
			setcolor(1100,1,1,1,1,1);
			set_text(1100,"260");
			frame=frame+3;	
		return;end;		
		
		if obj_id==-33 then
			speciale_action(2,16);
			ScaleObject(22,1,1.2)
			set_text(1100,"266");		
		return;end;
	return;end;

	if sender==16 then
        if obj_id==21 then
			if frame1==5 then
				 ScaleTileObject(20,1.2,1,2);				 
				 frame1=6;
			return;end;
		return;end;		
	
		if obj_id==4 then
		if frame==1 then
			MoveObjectY(1,0,-200,2);
			MoveObjectY(12,386,568,2);
			frame=frame+1;
		return;end;
			speciale_action(2,24);
			unvisible_object(-32);
		return;end;
		
		if obj_id==-30 then
		   speciale_action(2,3,true);
		   speciale_action(2,4);
		   speciale_action(2,20)
		   speciale_action(2,2)

		   MoveObjectX(2,76,76)
		return;end;

		if obj_id==-31 then
		   speciale_action(2,5,true);
		   speciale_action(2,23);
		   speciale_action(4,23)
		--   MoveObjectX(2,76,76)
		return;end;

		if obj_id==-32 then
		  
		   speciale_action(2,5);
		   speciale_action(2,4,true);
		   speciale_action(2,3);
		   speciale_action(2,2);
			speciale_action(2,6);	
		   speciale_action(2,24);
		   speciale_action(4,24)			
		--   MoveObjectX(2,76,76)
		return;end;
		
		if obj_id==-33 then
			speciale_action(2,22,true);	
		return;end;
		
		if obj_id==22 then
			unvisible_object(-33);	
		return;end;
		
		if obj_id==3 then
			unvisible_object(-30);
		return;end;
		if obj_id==5 then
			speciale_action(2,23);
			 speciale_action(2,5);
			unvisible_object(-31);
		return;end;		
		
	return;end;

	if sender==29 then
		if obj_id==20 then
			if frame==1 then

				 block=false;
				 

				
			return;end;
					speciale_action(2,14);
				setcolor(1100,1,1,1,1,1);
				set_text(1100,"250");		
			MoveObjectX(20,0,-800,5)
	
		return;end;
	return;end;
	
	
	if sender==28 then
	
	if flags.skip then
	   WaitRender()
	return;end;
	
	if obj_id==20 then

		frame=1;
		ScaleTileObject(20,1.2,0.9,2)

	return;end;
	
	if obj_id==1 then
		if frame==-1 then
			speciale_action(2,11);
			speciale_action(4,11);
			frame1=1;		
			ScaleTileObject(20,1,1.2,2);		
		return;end;

		if frame==16 then
			WaitRender()
		return;end;
	return;end;
		
	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 1 then --кликнули левой кнопкой мыши на активный объект
			if obj_id==11 then
				  flags.skip=true;
				--	BlockCursor(true);		
					block=true;					
					addfade(-34,0);
					visible_object(-34);		
					speciale_action(4,-34);	
					speciale_action(2,1100);
					MoveObjectY(1,-200,-385,2);
					speciale_action(2,11);
					MoveObjectY(12,610,768,2);
					MoveObjectY(14,768,768,2);
					MoveObjectY(15,768,768,2);
			return;end;	
	return;end;

	
	if sender == 6 then --кликнули левой кнопкой мыши на активный объект
		if not block then
		    frame=frame+1;	
			

			if frame==2 then
			--	BlockCursor(true);
				block=true;
				addfade(-30,0);
				visible_object(-30);		
				speciale_action(4,-30);   
			return;end;
			
			

			
			if frame==5 then
 				--BlockCursor(true);
				block=true;
				addfade(-31,0);
				visible_object(-31);		
				speciale_action(4,-31);                 			
			
				speciale_action(2,14);



			return; end;

			if frame==7 then 
				set_text(1100,"256");
				ScaleObject(2,0.9,1);
				ScaleObject(3,1,0.9);
				setcolor(3,0.6,0.6,0.6,1);
			    setcolor(2,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);	
				frame=frame+1;
			return;end;

			
			if frame==9 then	
			    setcolor(1100,1,1,1,0,1); 	
			   -- speciale_action(2,11);
			--	speciale_action(2,15);
			--	BlockCursor(true);	
				block=true;
				addfade(-32,0);
				visible_object(-32);		
				speciale_action(4,-32);   				
			return;end;

			

			if frame==13 then	
				set_text(1100,"263");
				ScaleObject(7,0.9,1);
				ScaleObject(6,1,0.9);
				setcolor(6,0.6,0.6,0.6,1);
			    setcolor(7,1,1,1,1); 
				speciale_action(2,14);
				speciale_action(2,15);
			return;end;			

			if frame==14 then	
				ScaleObject(7,1,0.9);
				ScaleObject(6,0.9,1);
				setcolor(7,0.6,0.6,0.6,1);
				setcolor(6,1,1,1,1); 			
				speciale_action(2,14);
				speciale_action(2,15);
				speciale_action(2,7);
				speciale_action(2,10);
				set_text(1100,"264");
			return;end;	

			if frame==15 then	
				speciale_action(2,14);
		--		set_text(1100,"265");
				addfade(-33,0);
				visible_object(-33);		
				speciale_action(4,-33);				
			return;end;	

			-- if frame==16 then	
				-- speciale_action(2,16);
				-- set_text(1100,"266");
			-- return;end;	
			
			if frame==16 then
			--	BlockCursor(true);
				block=true;
				speciale_action(2,1100);
				MoveObjectY(1,-200,-385,2);
				speciale_action(2,11);
				MoveObjectY(12,610,768,2);
				MoveObjectY(14,768,768,2);
				MoveObjectY(15,768,768,2);
				addfade(-34,0);
				visible_object(-34);		
				speciale_action(4,-34);					
			return;end;  
	return;end; 
	return;end;
end
